AutoCAD LT :: 2D Wire Form - Any Way To Flatten Drawing So That Z Is Always Zero
Nov 19, 2012
AutoCad LT2003 I work in 2D wire form. When I cut and past elements together Z can be anywhere. It becomes a problem trimming , chamfering etc. Is there any way to flatten the drawing so that Z is always zero?
I use Cad for Mac 2011. I made this "3d"-wire drawing to find out the angles of an object. Now when I make an angular inquiry the value given is right. When I try to put in an angular dimension it does not work. I put in a screenshot here to be more clear. This is the situation viewed from southeast:
Agular dimension.jpg
So, the angle I want to put the dimension to is the one between the red lines. When I choose "Angular Dimension" and then pick the two lines the dimension is automatically put on the two white lines next to the red lines. While the verteces of the dimension lay on the picked red lines the arrows point to the white lines and the value given also refers to them.
I have exported a 3D stick figure to a DXF (these are just lines and no solid objects) and imported it into AutoCAD 2006 (2012 ordered but not installed yet). I normally draw in 2D and want to get the 3D lines flattened, but I am having trouble.
When I issue the FLATTEN command and say yes to remove hidden lines, it takes a while and I do get a 2D DWG, but the lines on the back side of my 3D lie on top of each other. Is there a way to make a block of the lines that lie on a plane and paste them into a new DWG?
I'll try to attach a screen shot of my 3D model (it is a lattice transmission tower).
I have received some plan drawings that I'm supposed to do some additional work to. I've found that some of the lines and texts have different z factors. They look really messy in other views than plan view. Is there a command that can put all the work into the same plane, preferably to the xy plane, z = 0? I know there is a command that can flatten 3d views into a 2d drawing but that doesn't seem safe in this case. I know there is such a command in for example Rhino (flatten artwork) but in AutoCad I've never come across it.
I'm working on a drawing that was created by somebody else where certain lines have an elevation that is not 0. This means lenght calculations etc. dont work. Is there a way I can select all and make all elevations 0?
Is it possible to refresh drawing content when modal form is running?
I placed sample project in attachment.
There is simple form with only one button.
Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click Class1.DrawLineOnScreen() End Sub
After button is pressed, application prompting user for picking 2 points, and draw a line (based on picked points).
Public Shared Sub DrawLineOnScreen() Dim editor As Editor = Application.DocumentManager.MdiActiveDocument.Editor Dim pFirst As PromptPointOptions = New PromptPointOptions("First point: ") Dim rFirst As PromptPointResult = editor.GetPoint(pFirst) Dim pSecond As PromptPointOptions = New PromptPointOptions("Second point: ") Dim rSecond As PromptPointResult = editor.GetPoint(pSecond) If rFirst.Status = PromptStatus.OK AndAlso rSecond.Status = PromptStatus.OK Then Dim line As Line = New Line(rFirst.Value, rSecond.Value) Dim tr As Transaction = Application.DocumentManager.MdiActiveDocument.TransactionManager.StartTransaction Using tr Dim modelSpace As BlockTableRecord = tr.GetObject(Application.DocumentManager.MdiActiveDocument.Database.CurrentSpaceId, OpenMode.ForWrite) modelSpace.AppendEntity(line) tr.AddNewlyCreatedDBObject(line, True) tr.Commit() End Using End If End Sub
Problem is that line had been added to transaction (to Model Space block table record) but nothing change on a drawing. Line will appear on a drawing after closing the form.
In opposite situation, without using modal form (only console) everyting works fine.
<CommandMethod("DrawLine", CommandFlags.Modal)> _ Public Sub DrawLine() Class1.DrawLineOnScreen() End Sub
I have created a new drawing template using an iLogic Form and Prompted Entry. What I would like is a Rule that is generated when a user opens a new drawing template. The rule that is created would open up the new iLogic Form I created where various Title Block information is entered (Client Name, Client Address, Date, Drawn By, etc... I know you can manually open the iLogic Form that I created via the iLogic tab, but I would prefer the form open upon opening the new drawing. Once comlpeted, the user than imputs the Prompted Entry values (Drawing Name, Drawing Number, etc...).
I'm trying to put a little iLogic rule in my drawing template which triggers as soon as the drawing is opened. The rule asks the user whether the component he's making a drawing of needs to be painted or not. If it gets painted, the paint area (one side only or both sides) needs to be calculated. The result of this is then referenced by a text note in the title block.
I can do the radio boxes with the questions, as well as their If loops, but only when I'm in the model. Due to our, admittedly inefficient workflow, we never have time to specify "minor details" like paint area or spec during modelling, only when we get to drawing level. I'd like to put the iLogic rule inside the drawing template. I'm having trouble referencing the iProperties of the model from within the drawing's iLogic interface.
What I have so far is this rule, which I can run inside the model:
'set dummy variable equal to total areatotal_area = iProperties.Area'start radio box with questionsText1 = InputRadioBox("Will this component be painted?", "Yes", "No", Text1, Title := iProperties.Value("Project", "Description"))If Text1 = True ThenText2 = InputRadioBox("How many sides will be painted?", "Both sides", "One side only", Text2, Title := iProperties.Value("Project", "Description"))If Text2 = True TheniProperties.Value("Custom", "Paint Area") = total_areaElseIf Text2 = False TheniProperties.Value("Custom", "Paint Area") = total_area/2End IfElseIf Text1 = False TheniProperties.Value("Custom", "Paint Area") = 0End If
adding a line or two so that I can run the same rule, but from the drawing.
I instal form SDK User Tools because I need in Inventor Drawing Tools (Revision cloud). I do this install like on website Autodesk show and I didn't get it on ribbon. I do also registry of this plugin but I also didn't get it.
One of the features I was really looking forward to in CS6 was creating fillable forms with ONE application. I created a form following the step by step instructions in classroom in a book for CS6. When I opened the exported form in Reader X, I get a "This operation is not permitted" error. I opened the completed "end" document in the lesson to make sure I didn't commit an error, and I got the same message when exporting. I have looked for places in menus to modify security restrictions and I can't find any. I installed the updates and that didn't solve the issue.
I saw one solution posted which is to open the document in Acrobat, then do a "save as" option. Is there anything we can do that doesn't involve buying additional software? If this is not the case, then Adobe seriously needs to change its training and advertising about this functionality.
I am working on a form (global) and have added a picture with a parameter and a picture folder underneath. So that the picture displayed on my form will change depending on the parameter value.Here comes the trick. Only text parameters can be used!On the form editor only 'Text parameter' can be selected to drive the picture selection. I actually need an integer, so that i can use my User/Excel parameters from Inventor.
I can work this around with an iLogic rule to equal the value of my string Picture Parameter with the relevant integer Inventor parameter, but the rules need to be run before the pic and the form updates (by pressing the 'Apply' button at the bottom of the form and then the assy updates too. So this takes a couple of minutes)... whereas if it was an option on the form editor then the update would be instant without waiting for everything to update...
Is there a particular reason why the Picture Parameter only can be a text parameter?
Is it best to flatten my images once I get them completed or is it better to keep them in psd format with the layers intact. What are the pros and cons (other than file size of course).
Haven't used AC in a while and hoping this is a simple question, trying to take a polyline (in this case a coil shape) and add a diameter to the line. This 3D object will then be imported to COMSOL for some thermal expansion modeling.
is it possible to define a 'natural direction' at a pin, in which a wire should start when connected to that pin? This would seem to be natural for me.
As the attached picture shows, my wire is connected at this pin in a weird direction (because I need to route it through the indicated segment).
What is the best strategy to do it correctly?
Another question: I increased the diameter of the segment, hoping that it means that the wires are constrained within the segment, but are free to move withini this. But they all seem to be constrained to the centerline. What I want is that all my wires pass within this 'tube' of 30mm diameter.
I work for a company that does custom electrical enclosures and we use a 2010 version of inventor professional. What would be required to run wire in assemblies easily and also output wiring diagrams?
I would like to automatically wire up the event handlers for my .net assembly when it is loaded. For instance, does AutoCAD look for and call a "Loaded" or "Initialized" event when it loads my DLL?
I am having trouble constraining the wire track in the attached picture. I want the track to move naturally when the sliding piece moves, however it folds over on itself and doesn't stay in line. I can't figure out anyway to make it look uniform and move they way it should, is it possible in inventor?
How best to go about creating a "wire mesh". What i have tried is to create a solid flat (2mm thick) piece of material. I then draw a diamond shape on the surface & extrude it so as to give me a void.
Then i use the rectangular pattern option. The problem is that when i try putting in the amounts of the "holes" i need to brings up message to use optimized compute. I do that and then when i click to crate all the "holes" it comes up with a pattern failure error.
I made the parts but cannot make the wire fit in the assembly.Is it best yo make the wire in an assembly mode then as a individual part to fix in the assembly.How would you make the wire and also so it connects correctly in assembly
I have a 3D drawing that I am trying to hide the wireframe when I plot a particulat layout, one of several in the drawing. It plotted properly before, but something must have changed as I cannot plot without is comming out transparent (unhidden).
What could have changed, or how I can plot it hidden?
Schematics Auto Cad-Schematic1.dwgSchematics Auto Cad-Schematic1.dwg Schematic File.jpg
We are moving our schematic work from Visio to acad to keep everything in one program, and are trying to figure out how we can make the wire polyline in the attached file so it just to snaps to the connection points without actually extend the line or adding a vertices. I basically just want to re create what we already do in Visio where you can basically create an arrow, add text to the middle and then have it snap to a connection point.
I'm working on constructions that are operated with winches. However, I haven't found a way to model the wire so that it moves as it should.
I've attached a simplifed assembly that illustrates my issue.
In the "Master" position the wire looks as it should.
However, in the "Up" position, the wire does not. (red line indicates desired wire path)
I'm not interested in making the wire slack, just to have straight lines and radiuses around the sheave.
The actual constructions are much more complex, with 15+ sheaves and the wire moving in all three dimensions, not just in one plane as in the attached example. So a simple extrude cut on the assembly would not work.
I need the wire to work in the various set positions ("Master", "Up" & "Halfawy up") on an assebly level, so that it can be shown on drawings.
Optimally I'd love it to work in the "Flexible" position, so that it automatically adjusts (in real-time) as I move the rod, but it's not a requirement.
I've found multiple videos on Youtube showing something similar to what I want to accomplish, but no description of how it's done. Examples:
Inventor Simulation - Pulley and Cable.wmv
Winch - Autodesk Inventor (the wire being spooled onto the winch is not required, but it does look nice)
I've modeled a "twisted-in wire brush" and I'm getting graphic/model glitches. Every now and then when I zoom in on the model it becomes an abstract mess. It has something to do with the twisted wire portion of my model. It's just a simple coil (sketch: 2 circles twisted downward) feature but Inventor keeps choking.
Any twisted wire texture that perhaps I could try. I'm not quite sure how to make it myself. Plus, Inventor 2014's entire Material/Appearance library is a real dog's breakfast. What used to be be rather simple for me has become a challenge.